'Permission - Project - Manage Groups' required

2012-02-01 05:42 - Sang-jae Shin

Status: New Start date: 2012-02-01

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Groups Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Issue assign to group is fine.

But, only administrator can set up group.

So, when someone want to assign issue to group not exist, he should request making group to administrator.

If other user (i.e. project manager role) can manage groups, that will be good.

Related issues:

Related to Redmine - Feature #7980: New user management permissions: add own ... New 2011-03-24

Has duplicate Redmine - Feature #22982: PM can manage local group in Project. Closed

History

#1 - 2012-02-01 09:13 - Etienne Massip

- Category set to Groups

#2 - 2012-04-03 05:00 - jj ofsoul

see this plugin

right?

have a good time :)

#3 - 2012-04-23 15:30 - Terence Mill

realted to http://www.redmine.org/issues/7980

#4 - 2016-06-05 02:55 - Go MAEDA

- Has duplicate Feature #22982: PM can manage local group in Project. added

#5 - 2016-06-06 12:57 - Haihan Ji

append requirement details:

PM can create/modify/delete local group in Project/Setting/Member page (maybe other project's page).

PM can add member of project team to local group. If a user  is not project member, he can't be added to local group. Of course, PM can remove

people.

When a user be removed from project, he will be automatically removed from project local groups too.

Local groups would not be displayed in Project Member Box in Project Overview page. Maybe, Local Group doesn't need to have any Role

property.

PM of Project A can't use any local group of Project B, unless B is an ancestor.

Local Group would not in Admin/Groups list.

When project destroy, project's local groups will automatically removed too.

Local Group can be assigned.

#6 - 2018-09-26 17:20 - Yuuki NARA

+1

append requirement

Function to inherit and use group definition between projects (same as Version)

I think that the processing of the current Versions is a reference for the process of detecting the target group.

#7 - 2022-02-16 08:29 - Mr. Míng
www.redmine.org//github.com/lamps/redmine_group_assignee
http://www.redmine.org/issues/7980


- File Screen Shot 2022-02-16 at 03.26.28PM.png added

+ 1, I enabled this feature in my local hosted Redmine, base on the branch `4.2-stable`:

- Added a `Group` link next to the `Projects` in the top menu

- Users who are allowed to `add_project` can manage groups: create, remove, manage users and projects
